## org.apache.poi.hssf.usermodel
Class HSSFPatriarch

    java.lang.Object
      org.apache.poi.hssf.usermodel.HSSFPatriarch

All Implemented Interfaces:
  HSSFShapeContainer

public class HSSFPatriarch
extends java.lang.Object
implements HSSFShapeContainer

The patriarch is the toplevel container for shapes in a sheet. It does little other than act as a container for other shapes and groups.

Author:
  Glen Stampoultzis (glens at apache.org)

Method Summary
`int` `countOfAllChildren()` Total count of all children and their children's children.
`HSSFShapeGroup` `createGroup(HSSFClientAnchor anchor)` Creates a new group record stored under this patriarch.
`HSSFPolygon` `createPolygon(HSSFClientAnchor anchor)` Creates a polygon
`HSSFSimpleShape` `createSimpleShape(HSSFClientAnchor anchor)` Creates a simple shape.
`HSSFTextbox` `createTextbox(HSSFClientAnchor anchor)` Constructs a textbox under the patriarch.
`java.util.List` `getChildren()` Returns a list of all shapes contained by the patriarch.
`int` `getX1()` The top left x coordinate of this group.
`int` `getX2()` The bottom right x coordinate of this group.
`int` `getY1()` The top left y coordinate of this group.
`int` `getY2()` The bottom right y coordinate of this group.
`void` `setCoordinates(int x1, int y1, int x2, int y2)` Sets the coordinate space of this group.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createGroup

    public HSSFShapeGroup createGroup(HSSFClientAnchor anchor)

  Creates a new group record stored under this patriarch.

  Parameters:
    `anchor` - the client anchor describes how this group is attached to the sheet.
  Returns:
    the newly created group.

### createSimpleShape

    public HSSFSimpleShape createSimpleShape(HSSFClientAnchor anchor)

  Creates a simple shape. This includes such shapes as lines, rectangles, and ovals.

  Parameters:
    `anchor` - the client anchor describes how this group is attached to the sheet.
  Returns:
    the newly created shape.

### createPolygon

    public HSSFPolygon createPolygon(HSSFClientAnchor anchor)

  Creates a polygon

  Parameters:
    `anchor` - the client anchor describes how this group is attached to the sheet.
  Returns:
    the newly created shape.

### createTextbox

    public HSSFTextbox createTextbox(HSSFClientAnchor anchor)

  Constructs a textbox under the patriarch.

  Parameters:
    `anchor` - the client anchor describes how this group is attached to the sheet.
  Returns:
    the newly created textbox.

### getChildren

    public java.util.List getChildren()

  Returns a list of all shapes contained by the patriarch.

  Specified by:
    `getChildren` in interface `HSSFShapeContainer`
  Returns:
    Any children contained by this shape.

### countOfAllChildren

    public int countOfAllChildren()

  Total count of all children and their children's children.

### setCoordinates

    public void setCoordinates(int x1,
                               int y1,
                               int x2,
                               int y2)

  Sets the coordinate space of this group. All children are contrained to these coordinates.

### getX1

    public int getX1()

  The top left x coordinate of this group.

### getY1

    public int getY1()

  The top left y coordinate of this group.

### getX2

    public int getX2()

  The bottom right x coordinate of this group.

### getY2

    public int getY2()

  The bottom right y coordinate of this group.

Copyright © 2003 Apache Software Foundation.